# classes/phing/system/io/OutputStreamWriter.php

## \OutputStreamWriter
jump to top

Writer class for OutputStream objects.

Unlike the Java counterpart, this class does not (yet) handle character set transformations. This will be an important function of this class with move to supporting PHP6.

Extends from
  \Writer
package
  phing.system.io

### Properties

`\OutputStream $outStream= ''`

Details

Type
  \OutputStream

### Methods

`__construct( \OutputStream $outStream ) :`
Construct a new OutputStreamWriter.
Parameters

Name | Type | Description
--- | --- | ---
$outStream | \OutputStream | OutputStream to write to

`close( ) :`
Close the stream.
`flush( ) :`
Flush output to the stream.
`getResource( ) : string`
Gets a string representation of attached stream resource.
Returns

Type | Description
--- | ---
string |

`write( \unknown_type $buf, \unknown_type $off = null, \unknown_type $len = null ) : \unknown`
Write char data to stream.
Parameters

Name | Type | Description
--- | --- | ---
$buf | \unknown_type |
$off | \unknown_type |
$len | \unknown_type |

Returns

Type | Description
--- | ---
\unknown |

Documentation was generated by DocBlox 0.13.1.